{% macro paypal_warning_banner() %}
<p class="text-center mt-3 py-3 border alert alert-warning">PayPal cannot process donations made via the Tor Network. We apologize for the inconvenience.</p>
{% endmacro %}

{% extends "layout.html" %}
{% block content %}
<div>
  {{ paypal_warning_banner() }}
  <noscript>
    <div class="text-center mt-3 py-3 border alert alert-danger">
      <h2 class="h4 alert-danger"><strong>JavaScript is blocked, deactivated, or not supported by this browser</strong></h2>
      <p class="alert-danger">
        The services we use to process online donations (Stripe, PayPal, and BTCPay Server) all require JavaScript. If you’d like to support the Tor Project without JavaScript you can <a href="https://donate.torproject.org/cryptocurrency/">donate cryptocurrency</a> directly to Tor's wallet addresses, <a href="https://donate.torproject.org/donor-faq/#can-i-donate-with-a-check-cash-or-money-order">send checks, cash, and money orders</a> by mail, or donate more than $1,000 by <a href="https://donate.torproject.org/donor-faq/#can-i-make-a-donation-via-bank-transfer">bank transfer (US only)</a>.
      </p>
      <p class="alert-danger">
        Alternatively, you can whitelist donate.torproject.org or temporarily enable JavaScript. Tor Browser users on the Safest security level can do so by temporarily downgrading to Safer in about:preferences#privacy
      </p>
      <p class="alert-danger">
        <a href="https://donate.torproject.org/donor-faq/">View the Donor FAQ</a>
      </p>
    </div>
  </noscript>
  {% block donate_form_intro %}{{ this.intro }}{% endblock %}
</div>
<div class="donate-form">
  <div id="campaign-totals-area"></div>
  <div id="giving-form"></div>
  {{ paypal_warning_banner() }}
</div>
<script type="text/javascript" src="https://js.stripe.com/v3/" crossorigin="anonymous"></script>
<script type="text/javascript" src="https://www.paypal.com/sdk/js?client-id={{ bag('donate', envvars('ENV'), 'paypalClientId') }}&vault=true"></script>
<script type="text/javascript">
  window.reactComponents = [
    {
      id: 'giving-form',
      name: 'GivingForm',
      props: {
        'maintenanceMode': true,
        'stripePublishableKey': `{{ bag('donate', envvars('ENV'), 'stripePublishableKey') }}`,
        'paymentMethods': ['paypal'],
        'frequencyOptions': `{{ this.frequency }}`,
        'pricesOnButtons': {
          'single': [
            parseInt(`{{ this.single_one }}`),
            parseInt(`{{ this.single_two }}`),
            parseInt(`{{ this.single_three }}`),
            parseInt(`{{ this.single_four }}`),
            parseInt(`{{ this.single_five }}`)
          ],
          'monthly': [
            parseInt(`{{ this.monthly_one }}`),
            parseInt(`{{ this.monthly_two }}`),
            parseInt(`{{ this.monthly_three }}`),
            parseInt(`{{ this.monthly_four }}`),
            parseInt(`{{ this.monthly_five }}`)
          ]
        },
        'perks': [
          {
            'name': 'stickers',
            'friendly_name': {
              'single': `{{ this.sticker_perk_single_label }}`,
              'monthly': `{{ this.sticker_perk_monthly_label }}`
            },
            'image': {
              'single': `{{ this.sticker_perk_single_image | asseturl }}`,
              'monthly': `{{ this.sticker_perk_monthly_image | asseturl }}`
            },
            'description': {
              'single': `{{ this.sticker_perk_single_description }}`,
              'monthly': `{{ this.sticker_perk_monthly_description }}`,
            },
            'price': {
              'single': parseInt(`{{ this.single_one }}`),
              'monthly': parseInt(`{{ this.monthly_two }}`),
            },
            'options': null,
            'requiredFields': [],
          },
          {
            'name': 't-shirt',
            'friendly_name': {
            'single': `{{ this.tshirt_perk_single_label }}`,
            'monthly': `{{ this.tshirt_perk_monthly_label }}`
            },
            'image': {
            'single': `{{ this.tshirt_perk_single_image | asseturl }}`,
            'monthly': `{{ this.tshirt_perk_monthly_image | asseturl }}`
            },
            'description': {
            'single': `{{ this.tshirt_perk_single_description }}`,
            'monthly': `{{ this.tshirt_perk_monthly_description }}`,
            },
            'price': {
            'single': parseInt(`{{ this.single_two }}`),
            'monthly': parseInt(`{{ this.monthly_three }}`),
            },
            'options': null,
            'requiredFields': ['shirt1Fit', 'shirt1Size'],
          },
          {
            'name': 't-shirt-pack',
            'friendly_name': {
            'single': `{{ this.tshirt_pack_perk_single_label }}`,
            'monthly': `{{ this.tshirt_pack_perk_monthly_label }}`
            },
            'image': {
            'single': `{{ this.tshirt_pack_perk_single_image | asseturl }}`,
            'monthly': `{{ this.tshirt_pack_perk_monthly_image | asseturl }}`
            },
            'description': {
            'single': `{{ this.tshirt_pack_perk_single_description }}`,
            'monthly': `{{ this.tshirt_pack_perk_monthly_description }}`,
            },
            'price': {
            'single': parseInt(`{{ this.single_three }}`),
            'monthly': parseInt(`{{ this.monthly_four }}`),
            },
            'options': [
              {
            'name': 'powered-by-privacy',
            'friendlyName': 'Powered by Privacy',
            'image': {
            'single': `{{ this.tshirt_pack_perk_single_image | asseturl }}`,
            'monthly': `{{ this.tshirt_pack_perk_monthly_image | asseturl }}`
                }
              },
            ],
            'requiredFields': ['shirt1Fit', 'shirt1Size', 'shirt2Fit', 'shirt2Size'],
          },
          {
            'name': 'sweatshirt',
            'friendly_name': {
            'single': `{{ this.sweatshirt_perk_single_label }}`,
            'monthly': `{{ this.sweatshirt_perk_monthly_label }}`
            },
            'image': {
            'single': `{{ this.sweatshirt_perk_single_image | asseturl }}`,
            'monthly': `{{ this.sweatshirt_perk_monthly_image | asseturl }}`
            },
            'description': {
            'single': `{{ this.sweatshirt_perk_single_description }}`,
            'monthly': `{{ this.sweatshirt_perk_monthly_description }}`,
            },
            'price': {
            'single': parseInt(`{{ this.single_five }}`),
            'monthly': parseInt(`{{ this.monthly_five }}`),
            },
            'options': null,
            'requiredFields': ['sweatshirtSize'],
          },
        ],
        'shirtFits': {
          'tor-onions': {
            'friendly-name': `{{ this.tshirt_perk_options_label }}`,
            'fits': {
              'classic': {
                'friendly-name': 'Classic',
                'sizes': ['s', 'm', 'l', 'xl', 'xxl', '3xl', '4xl']
              },
            }
          },
          'powered-by-privacy': {
            'friendly-name': `{{ this.tshirt_pack_second_shirt_options_label }}`,
            'fits': {
              'slim': {
                'friendly-name': 'Slim',
                'sizes': ['s', 'm']
              },
              'classic': {
                'friendly-name': 'Classic',
                'sizes': ['s', 'm', 'l', 'xl', 'xxl', '3xl', '4xl']
              }
            }
          },
        },
        'defaultFrequencyForBoth': `{{ this.default_frequency_for_both }}`,
        'initialSelectedPrices': {
          'single': parseInt(`{{ this.single_three }}`),
          'monthly': parseInt(`{{ this.monthly_three }}`),
        },
        'donateProccessorFallbackUrl': `{{ bag('donate', envvars('ENV'), 'donateProccessorBaseUrl') }}`,
        'successRedirectUrl': `{{ this.success_redirect_url }}`,
        'assetBaseUrl': `{{ '/' | asseturl }}`,
        'showGifts': `{{ this.show_gifts }}`,
      },
    }
  ];
  if (`{{ this.counter }}` == 'True'){
    window.reactComponents.push(
      {
        id: 'campaign-totals-area',
        name: 'CampaignTotals',
        props: {
          'donateProccessorFallbackUrl': `{{ bag('donate', envvars('ENV'), 'donateProccessorBaseUrl') }}`,
          'counters': [
            {
              'cssClass': 'supporters',
              'field': 'totalDonations',
              'label': `{{ this.number_of_donations_counter_label }}`,
            },
            {
              'cssClass': 'total-donated',
              'field': 'totalAmount',
              'label': `{{ this.total_donated_counter_label }}`,
            },
            {
              'cssClass': 'total-matched',
              'field': 'amountWithMozilla',
              'label': `{{ this.total_matched_counter_label }}`,
            }
          ],
        },
      }
    );
  }

  if ((window.location.protocol == "https:") || (`{{ envvars('ENV') }}` == 'dev')) {
    window.reactComponents[0].props.paymentMethods.push('credit-card');
  }
  </script>
  <script type="text/javascript" src="{{ '/static/gen/donate.js' | asseturl }}"></script>
{% endblock %}
